Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Plain View
Sqoop >> mail # dev >> Review Request: SQOOP-519 Update the version of hsqldb decadency to 2.0.0


+
Cheolsoo Park 2012-07-25, 06:32
+
Jarek Cecho 2012-07-25, 15:59
Copy link to this message
-
Re: Review Request: SQOOP-519 Update the version of hsqldb decadency to 2.0.0


On July 25, 2012, 3:59 p.m., Cheolsoo Park wrote:
> > Jarcec

As discussed offline, the issue that I was trying to solve was that if curVal == null && version == null, we get a mismatch between '?' and parameters. Since it is unsafe to compare null against null as you pointed out, I changed the logic so that I still resolved the original issue, but I don't need to compare null against null. Please let me know if this addresses your concern.

Thanks!
- Cheolsoo
-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/6130/#review9457
-----------------------------------------------------------
On July 25, 2012, 6:32 a.m., Cheolsoo Park wrote:
>
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/6130/
> -----------------------------------------------------------
>
> (Updated July 25, 2012, 6:32 a.m.)
>
>
> Review request for Sqoop, Jarek Cecho and Bilung Lee.
>
>
> Description
> -------
>
> Updated the version of Hsqldb dependency to 2.2.8. This is needed because Hadoop YARN bundles Hsqldb 2.0.0, and Hsqldb 1.8.2-compiled Sqoop does not work when Hsqldb 2.0.0 or higher is present in classpath. But Hsqldb 2.2.8-compiled Sqoop works.
>
> The reason why I bumped to 2.2.8 instead of 2.0.0 is that 2.2.8 seems more stable than 2.0.0 according to hsqldb.org:
>
> >> HyperSQL v. 2.2.8 is the latest release in the 2.x series and should be used in preference to earlier 2.0 and 2.x releases.
>
> In addition, 2.0.0 makes TestExportUpdate fail.
>
> Changing the version of Hsqldb dependency breaks several unit test cases, so I included fixes to those in this patch as well.
>
>
> This addresses bug SQOOP-519.
>     https://issues.apache.org/jira/browse/SQOOP-519
>
>
> Diffs
> -----
>
>   /trunk/ivy.xml 1364880
>   /trunk/ivy/libraries.properties 1364880
>   /trunk/ivy/sqoop-test.xml 1364880
>   /trunk/ivy/sqoop.xml 1364880
>   /trunk/src/java/org/apache/sqoop/metastore/hsqldb/HsqldbJobStorage.java 1364880
>   /trunk/src/java/org/apache/sqoop/metastore/hsqldb/HsqldbMetaStore.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/TestAvroExport.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/TestAvroImport.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/TestExport.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/TestMultiCols.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/hive/TestHiveImport.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/manager/DirectMySQLExportTest.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/manager/JdbcMySQLExportTest.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/manager/MySQLCompatTest.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/manager/OracleCompatTest.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/manager/OracleExportTest.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/mapreduce/db/TestDataDrivenDBInputFormat.java 1364880
>   /trunk/src/test/com/cloudera/sqoop/testutil/ManagerCompatTestCase.java 1364880
>
> Diff: https://reviews.apache.org/r/6130/diff/
>
>
> Testing
> -------
>
> ant test
> ant test -Dthirdparty=true
> ant checkstyle
>
> My focus was getting tests passing ASAP. Please review carefully and let me know if you have a better way to fix.
>
>
> Thanks,
>
> Cheolsoo Park
>
>

+
Cheolsoo Park 2012-07-25, 18:07
+
Cheolsoo Park 2012-07-25, 18:09
+
Cheolsoo Park 2012-07-25, 18:12
+
Jarek Cecho 2012-07-25, 18:30